import subprocess
import time 
import daemon
import sqlite3
import threading
import random


###Addition to pyvnc2swf that starts recording processes

class RecordProcess(threading.Thread):

	def __init__(self):
		threading.Thread.__init__(self)
		self._stop = threading.Event()
		self.daemon = True
		self.id = 1
	def stop(self):
		self._stop.set()

	def stopped(self):
		return self._stop.isSet()

	##Run PS-aux repeatedly and store the results in the appropriate table
	def run(self):
	
		conn = sqlite3.Connection('/home/administrator/Code/Process')
		c = conn.cursor()
		c.execute('SELECT max(id) from process')
		i = c.fetchone()
		if len(i) > 0 and i[0] != None:		
			self.id = i[0]+1
		
		print "RECORDING VIDEO ID: %d"%self.id
	
		prevTime = time.time()
		while not self._stop.isSet() :
			currTime = time.time()
			if currTime- prevTime >10:
				stdout = subprocess.check_output(['ps', 'aux'])
				lclTime = time.localtime()
				tme = str(lclTime.tm_hour) + ',' +str(lclTime.tm_min)
				c.execute("INSERT into process VALUES (?,?,?)", (self.id, tme, stdout))
				conn.commit()
				prevTime = currTime
			
