import subprocess
import time 
import daemon
import sqlite3
import threading
import random


class RecordProcess(threading.Thread):

	def __init__(self):
		super(RecordProcess, self).__init__()
		self._stop = threading.Event()

	def stop(self):
		self._stop.set()

	def stopped(self):
		return self._stop.isSet()

	##Run PS-aux repeatedly and store the results in the appropriate table
	def start():
		i = 0 ##to be used as the id of this particular recording
		conn = sqlite3.Connection('Process')
		c = conn.cursor()
		c.execute('SELECT max(id) from process')
		i = c.fetchone()
		if len(i) > 0:		
			i = i[0]+1
		
		startTime = time.time()
		while not self._stop.isSet():
			stdout = subprocess.check_output(['ps', 'aux'])
			lclTime = time.localtime()
			tme = str(lclTime.tm_hour) + ',' +str(lclTime.tm_min)
			c.execute("INSERT into process VALUES (?,?,?)", (i, tme, stdout))
			conn.commit()
			time.sleep(10)

